Contenu | Rechercher | Menus

Annonce

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 04/12/2006, à 01:31

ppjet

Erreur Mysql (init.d) sous edgy

Bonsoir,

J'ai installé il n'y a pas longtemps LAMP (en suivant le tuto du wiki), qui a fonctionné pendant plusieurs jours, jusqu'a temps que je le désinstalle à cause d'une erreur de ma part (j'avais oublié d'enlever un .htaccess ..)
J'ai donc désinstallé LAMP :

sudo apt-get remove --purge apache2 mysql-server php5
sudo apt-get autoremove

Et je suis parti ensuite à la chasse aux sorcières pour tenter du supprimer complètement les softs (je n'aurais peut être pas dû !)
J'ai supprimé /etc/init.d/mysql , j'ai ensuite réinstallé LAMP, mais seuls apache et php fonctionnent, mysql me met cette erreur lors de l'install :

Paramétrage de mysql-server-5.0 (5.0.24a-9) ...
invoke-rc.d: unknown initscript, /etc/init.d/mysql not found.

(Si vous souhaitez plus d'infos pendant l'opérations demandez moi, enfin c'est la seule erreur qui apparait smile )

A cause de ça je n'arrive plus à acceder à mysql hmm

Est-ce que quelqu'un aurait une idée smile

Hors ligne

#2 Le 04/12/2006, à 02:12

NooP

Re : Erreur Mysql (init.d) sous edgy

Bonsoir,

Quelle version d'Ubuntu ? Dapper (6.06) ou Edgy (6.10) ?


Votez Macron, vous l'aurez dans le fion !

Hors ligne

#3 Le 04/12/2006, à 02:18

ppjet

Re : Erreur Mysql (init.d) sous edgy

C'est précisé dans le titre smile

Je suis sour Edgy (6.10, à jour)

Hors ligne

#4 Le 04/12/2006, à 02:35

NooP

Re : Erreur Mysql (init.d) sous edgy

Désolé, pas fait attention au titre.

Apparement, ton fichier /etc/init.d/mysql n'exite plus.

gksudo gedit /etc/init.d/mysql

Puis copie / colle ça :

#!/bin/bash
#
### BEGIN INIT INFO
# Provides:          mysql
# Required-Start:    $syslog mysql-ndb-mgm
# Required-Stop:     $syslog
# Should-Start:      $local_fs $remote_fs $network $named $time
# Should-Stop:       $local_fs $remote_fs $network $named $time
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start and stop the mysql database server daemon
# Description:       Controls the main MySQL database server daemon "mysqld"
#                    and its wrapper script "mysqld_safe".
### END INIT INFO
#
set -e
set -u
${DEBIAN_SCRIPT_DEBUG:+ set -v -x}

test -x /usr/sbin/mysqld || exit 0

. /lib/lsb/init-functions

SELF=$(cd $(dirname $0); pwd -P)/$(basename $0)
CONF=/etc/mysql/my.cnf
MYADMIN="/usr/bin/mysqladmin --defaults-file=/etc/mysql/debian.cnf"

# priority can be overriden and "-s" adds output to stderr
ERR_LOGGER="logger -p daemon.err -t /etc/init.d/mysql -i"

# Safeguard (relative paths, core dumps..)
cd /
umask 077

# mysqladmin likes to read /root/.my.cnf. This is usually not what I want
# as many admins e.g. only store a password without a username there and
# so break my scripts.
export HOME=/etc/mysql/

## Fetch a particular option from mysql's invocation.
#
# Usage: void mysqld_get_param option
mysqld_get_param() {
	/usr/sbin/mysqld --print-defaults \
		| tr " " "\n" \
		| grep -- "--$1" \
		| tail -n 1 \
		| cut -d= -f2
}

## Do some sanity checks before even trying to start mysqld.
sanity_checks() {
  # check for config file
  if [ ! -r /etc/mysql/my.cnf ]; then
    log_warning_msg "$0: WARNING: /etc/mysql/my.cnf cannot be read. See README.Debian.gz"
    echo                "WARNING: /etc/mysql/my.cnf cannot be read. See README.Debian.gz" | $ERR_LOGGER
  fi

  # check for buggy options
  if grep -q ^expire.logs.days $CONF  &&  ! grep -q ^log.bin $CONF; then
    log_failure_msg "$0: ERROR: Using expire_logs_days without log_bin crashes the server. See README.Debian.gz"
    echo                "ERROR: Using expire_logs_days without log_bin crashes the server. See README.Debian.gz" | $ERR_LOGGER
    exit 1
  fi

  # check for diskspace shortage
  datadir=`mysqld_get_param datadir`
  if LC_ALL=C BLOCK_SIZE= df --portability $datadir/. | tail -n 1 | awk '{ exit ($4>4096) }'; then
    log_failure_msg "$0: ERROR: The partition with $datadir is too full!"
    echo                "ERROR: The partition with $datadir is too full!" | $ERR_LOGGER
    exit 1
  fi
}

## Checks if there is a server running and if so if it is accessible.
#
# check_alive insists on a pingable server
# check_dead also fails if there is a lost mysqld in the process list
#
# Usage: boolean mysqld_status [check_alive|check_dead] [warn|nowarn]
mysqld_status () {
    ping_output=`$MYADMIN ping 2>&1`; ping_alive=$(( ! $? ))

    ps_alive=0
    pidfile=`mysqld_get_param pid-file`
    if [ -f "$pidfile" ] && ps `cat $pidfile` >/dev/null 2>&1; then ps_alive=1; fi
    
    if [ "$1" = "check_alive"  -a  $ping_alive = 1 ] ||
       [ "$1" = "check_dead"   -a  $ping_alive = 0  -a  $ps_alive = 0 ]; then
	return 0 # EXIT_SUCCESS
    else
  	if [ "$2" = "warn" ]; then
  	    echo -e "$ps_alive processes alive and '$MYADMIN ping' resulted in\n$ping_output\n" | $ERR_LOGGER -p daemon.debug
	fi
  	return 1 # EXIT_FAILURE
    fi
}

#
# main()
#

case "${1:-''}" in
  'start')
	sanity_checks;
	# Start daemon
	log_daemon_msg "Starting MySQL database server" "mysqld"
	if mysqld_status check_alive nowarn; then
	   log_progress_msg "already running"
	   log_end_msg 0
	else
  	    /usr/bin/mysqld_safe > /dev/null 2>&1 &
	    # 6s was reported in #352070 to be too few when using ndbcluster
	    for i in 1 2 3 4 5 6 7 8 9 10 11 12 13 14; do
                sleep 1
	        if mysqld_status check_alive nowarn ; then break; fi
		log_progress_msg "."
	    done
	    if mysqld_status check_alive warn; then
                log_end_msg 0
	        # Now start mysqlcheck or whatever the admin wants.
	        output=$(/etc/mysql/debian-start)
		[ -n "$output" ] && log_action_msg "$output"
	    else
	        log_end_msg 1
		log_failure_msg "Please take a look at the syslog"
	    fi
	fi

	# Some warnings
        if $MYADMIN variables | egrep -q have_bdb.*YES; then
            echo "BerkeleyDB is obsolete, see /usr/share/doc/mysql-server-5.0/README.Debian.gz" | $ERR_LOGGER -p daemon.info
        fi
        if [ -f /etc/mysql/debian-log-rotate.conf ]; then
            echo "/etc/mysql/debian-log-rotate.conf is obsolete, see /usr/share/doc/mysql-server-5.0/NEWS.Debian.gz" | $ERR_LOGGER -p daemon.info
        fi
	;;

  'stop')
	# * As a passwordless mysqladmin (e.g. via ~/.my.cnf) must be possible
	# at least for cron, we can rely on it here, too. (although we have 
	# to specify it explicit as e.g. sudo environments points to the normal
	# users home and not /root)
	log_daemon_msg "Stopping MySQL database server" "mysqld"
	if ! mysqld_status check_dead nowarn; then
	  set +e
	  shutdown_out=`$MYADMIN shutdown 2>&1`; r=$?
	  set -e
	  if [ "$r" -ne 0 ]; then
	    log_end_msg 1
	    [ "$VERBOSE" != "no" ] && log_failure_msg "Error: $shutdown_out"
	    log_daemon_msg "Killing MySQL database server by signal" "mysqld"
	    killall -15 mysqld
            server_down=
	    for i in 1 2 3 4 5 6 7 8 9 10; do
              sleep 1
              if mysqld_status check_dead nowarn; then server_down=1; break; fi
            done
          if test -z "$server_down"; then killall -9 mysqld; fi
	  fi
        fi

        if ! mysqld_status check_dead warn; then
	  log_end_msg 1
	  log_failure_msg "Please stop MySQL manually and read /usr/share/doc/mysql-server-5.0/README.Debian.gz!"
	  exit -1
	else
	  log_end_msg 0
        fi
	;;

  'restart')
	set +e; $SELF stop; set -e
	$SELF start 
	;;

  'reload'|'force-reload')
  	log_daemon_msg "Reloading MySQL database server" "mysqld"
	$MYADMIN reload
	log_end_msg 0
	;;

  'status')
	if mysqld_status check_alive nowarn; then
	  log_action_msg "$($MYADMIN version)"
	else
	  log_action_msg "MySQL is stopped."
	  exit 3
	fi
  	;;

  *)
	echo "Usage: $SELF start|stop|restart|reload|force-reload|status"
	exit 1
	;;
esac

Votez Macron, vous l'aurez dans le fion !

Hors ligne

#5 Le 04/12/2006, à 19:24

ppjet

Re : Erreur Mysql (init.d) sous edgy

J'ai bien créé le fichier oui,

mais une commande

sudo /etc/init.d/mysql start ou force-reload

ne marche pas hmm

J'ai re désinstallé mysql, réinstallé, là il n'affiche plus l'erreur, mais je ne peux toujours pas l'utiliser .. sad

Hors ligne

#6 Le 05/12/2006, à 21:26

ppjet

Re : Erreur Mysql (init.d) sous edgy

(Up !)

Je n'ai toujours pas avancé, et ça m'embete, (un petit peu quand même .. hmm)

sudo /etc/init.d/mysql start (ou force-reload)
sudo: /etc/init.d/mysql: command not found

Le fichier est pourtant bien enregistré sad

Hors ligne

#7 Le 06/12/2006, à 00:29

NooP

Re : Erreur Mysql (init.d) sous edgy

Fais un :

chmod 755 /etc/init.d/mysql

pour le rendre executable


Votez Macron, vous l'aurez dans le fion !

Hors ligne

#8 Le 06/12/2006, à 02:10

ppjet

Re : Erreur Mysql (init.d) sous edgy

hum .. Je viens de formatter, j'ai changé gnome pour kde smile

merci quand même pour tes réponses smile

PS : (j'aurais dû essayer avant ^^)

Hors ligne